package wenrgise.hrms.bean;

import java.io.Serializable;
import wenrgise.common.bean.BaseDetailBean;

public class HrmLvCancQueryDtlBean extends BaseDetailBean implements Serializable {
  private String txtTransId;
  
  private String txtLeaveCodes;
  
  private String txtAppliedLeaveDate;
  
  private String txtCancellationDate;
  
  private String txtCancellationType;
  
  private String txtCancelStatus;
  
  public String getTxtTransId() {
    return this.txtTransId;
  }
  
  public void setTxtTransId(String newTxtTransId) {
    this.txtTransId = newTxtTransId;
  }
  
  public String getTxtLeaveCodes() {
    return this.txtLeaveCodes;
  }
  
  public void setTxtLeaveCodes(String newTxtLeaveCodes) {
    this.txtLeaveCodes = newTxtLeaveCodes;
  }
  
  public String getTxtAppliedLeaveDate() {
    return this.txtAppliedLeaveDate;
  }
  
  public void setTxtAppliedLeaveDate(String newTxtAppliedLeaveDate) {
    this.txtAppliedLeaveDate = newTxtAppliedLeaveDate;
  }
  
  public String getTxtCancellationDate() {
    return this.txtCancellationDate;
  }
  
  public void setTxtCancellationDate(String newTxtCancellationDate) {
    this.txtCancellationDate = newTxtCancellationDate;
  }
  
  public String getTxtCancellationType() {
    return this.txtCancellationType;
  }
  
  public void setTxtCancellationType(String newTxtCancellationType) {
    this.txtCancellationType = newTxtCancellationType;
  }
  
  public String getTxtCancelStatus() {
    return this.txtCancelStatus;
  }
  
  public void setTxtCancelStatus(String newTxtCancelStatus) {
    this.txtCancelStatus = newTxtCancelStatus;
  }
}
